-- name: [CS] Gwain Warriors 064
-- description: A Character Pack featuring 9 Characters from the Gwain Saga Series, created by GeoExe.\n\n\\#ffff00\\Credits:\\#ffffff\\\nB. Bones Johnson - Mod Idea, Modelling\nPhantalon Gilimbecil - Release Trailer\nSonac - Icon Textures\nVyndelaa - Face Textures\nDankira - Remix Outfit Designs\nSleepyAnger - Character Descriptions

if not _G.charSelectExists then return end

local E_MODEL_ARMORIO = smlua_model_util_get_id("armor_mario_geo") 

local PALETTE_ARMORIO = {
    [PANTS]  = "567f80",
    [SHIRT]  = "ff0000",
    [GLOVES] = "ffffff",
    [SHOES]  = "721c0e",
    [HAIR]   = "730600",
    [SKIN]   = "fec179",
    [CAP]    = "feda47",
}

local healthMeter = {
    label = {
        left = get_texture_info("mariohp-half1"),
        right = get_texture_info("mariohp-half2"),
    },
    pie = {
        [1] = get_texture_info("mariohp-1"),
        [2] = get_texture_info("mariohp-2"),
        [3] = get_texture_info("mariohp-3"),
        [4] = get_texture_info("mariohp-4"),
        [5] = get_texture_info("mariohp-5"),
        [6] = get_texture_info("mariohp-6"),
        [7] = get_texture_info("mariohp-7"),
        [8] = get_texture_info("mariohp-8"),
    }
}

local TEX_ARMORIO_COURSE_TOP = get_texture_info("mario-course-top")
local TEX_ARMORIO_COURSE_BOTTOM = get_texture_info("mario-course-bottom")

local ARMORIOCourseInfo = {
    top = TEX_ARMORIO_COURSE_TOP,
    bottom = TEX_ARMORIO_COURSE_BOTTOM,
}

local CSloaded = false
local function on_character_select_load()
CT_ARMORIO = _G.charSelect.character_add("Armored Mario", {"If you know, you know.", "This is a Bonus Skin that gives", "Mario a cool looking Armor!","I think he looks cool with it."}, "B. Bones Johnson/GeoExe", {r = 255, g = 0, b = 0}, E_MODEL_ARMORIO, CT_MARIO, gTextures.mario_head)
_G.charSelect.character_add_palette_preset(E_MODEL_ARMORIO, PALETTE_ARMORIO)
_G.charSelect.character_add_health_meter(CT_ARMORIO, healthMeter)
_G.charSelect.character_add_course_texture(CT_ARMORIO, ARMORIOCourseInfo)
	charSelectLoaded = true
end

hook_event(HOOK_ON_MODS_LOADED, on_character_select_load)